Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Data Fields
Lucene::TranslationResult< TYPE > Class Template Reference

Utility class that contains utf8 and unicode translations. More...

`#include <UnicodeUtils.h>`

Inheritance diagram for Lucene::TranslationResult< TYPE >:

## Public Member Functions

| TranslationResult ()
void | setLength (int32_t length)
void | copyText (const TranslationResult &other)
void | copyText (boost::shared_ptr< TranslationResult< TYPE > > other)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Data Fields

Array< TYPE > | result
int32_t | length

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

### template<typename TYPE>
class Lucene::TranslationResult< TYPE >

Utility class that contains utf8 and unicode translations.

## Constructor & Destructor Documentation

template<typename TYPE>

Lucene::TranslationResult< TYPE >::TranslationResult | ( | ) |  |

inline

## Member Function Documentation

template<typename TYPE>

void Lucene::TranslationResult< TYPE >::copyText | ( | const TranslationResult< TYPE > & | other) |  |

inline

Referenced by Lucene::TranslationResult< wchar_t >::copyText().

template<typename TYPE>

void Lucene::TranslationResult< TYPE >::copyText | ( | boost::shared_ptr< TranslationResult< TYPE > > | other) |  |

inline

template<typename TYPE>

void Lucene::TranslationResult< TYPE >::setLength | ( | int32_t | length) |  |

inline

Referenced by Lucene::TranslationResult< wchar_t >::copyText().

## Field Documentation

template<typename TYPE>

int32_t Lucene::TranslationResult< TYPE >::length

Referenced by Lucene::TranslationResult< wchar_t >::copyText(), Lucene::TranslationResult< wchar_t >::setLength(), and Lucene::TranslationResult< wchar_t >::TranslationResult().

template<typename TYPE>

Array<TYPE> Lucene::TranslationResult< TYPE >::result

Referenced by Lucene::TranslationResult< wchar_t >::copyText(), Lucene::TranslationResult< wchar_t >::setLength(), and Lucene::TranslationResult< wchar_t >::TranslationResult().

The documentation for this class was generated from the following file:

- UnicodeUtils.h

clucene.sourceforge.net